<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>API: treeview  YAHOO.widget.HTMLNode   (YUI Library)</title>
	<link rel="stylesheet" type="text/css" href="assets/api.css">
</head>

<body id="yahoo-com">
<div id="doc3" class="yui-t2">

	<div id="hd">
        <h1>Yahoo! UI Library</h1>
        <h3>TreeView Widget&nbsp; <span class="subtitle">2.2.0</span></h3>
        <p>
        <a href="./index.html">Yahoo! UI Library</a> 
            &gt; <a href="./module_treeview.html">treeview</a>
                 &gt; YAHOO.widget.HTMLNode 
                
            </p>
	</div>

	<div id="bd">
		<div id="yui-main">
			<div class="yui-b">


                    <h2>
                        

                        
                        
                            Class <b>YAHOO.widget.HTMLNode</b>
                        <span class="extends">
                           - extends <a href="YAHOO.widget.Node.html">YAHOO.widget.Node</a>
                        </span>

                        <span class="extends">
                        </span>
                        
                        </code>
                    </h2>
                    <!-- class tree goes here -->
                    
                
  

                    <div class="summary description">
                        This implementation takes either a string or object for the
oData argument.  If is it a string, we will use it for the display
of this node (and it can contain any html code).  If the parameter
is an object, we look for a parameter called "html" that will be
used for this node's display.
                    </div>

                        <div class="section constructor details">
                        <h3><a name="constructor_detail">Constructor</a></h3>
                        <div class="content">
                            <div class="detail">
                                <strong>YAHOO.widget.HTMLNode</strong>
                                <code>
                                    (
  
                                        
                                                
                                                oData

                                                , 
                                                oParent

                                                , 
                                                expanded

                                                , 
                                                hasIcon
                                    )
                                </code>
                                <div class="description">
                                        <dl>
                                            <dt>Parameters:</dt>
                                                <dd>
                                                    <code>oData
                                                    &lt;object&gt; 
                                                    </code>
                                                      a string or object containing the data that will
be used to render this node
                                                </dd>
                                                <dd>
                                                    <code>oParent
                                                    &lt;YAHOO.widget.Node&gt; 
                                                    </code>
                                                      this node's parent node
                                                </dd>
                                                <dd>
                                                    <code>expanded
                                                    &lt;boolean&gt; 
                                                    </code>
                                                      the initial expanded/collapsed state
                                                </dd>
                                                <dd>
                                                    <code>hasIcon
                                                    &lt;boolean&gt; 
                                                    </code>
                                                      specifies whether or not leaf nodes should
have an icon
                                                </dd>
                                        </dl>
                                    
                                    
                                </div>
                            </div>
                        </div>
                    </div>

                        <div class="section field details">
                            <h3><a name="field_detail">Properties</a></h3>
                            <div class="content">
                                    <h4><a name="content">content</a>
                                        <code>- string</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The HTML content to use for this node's display
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="contentElId">contentElId</a>
                                        <code>- string</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The generated id that will contain the data passed in by the implementer.
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="contentStyle">contentStyle</a>
                                        <code>- string</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The CSS class for the html content container.  Defaults to ygtvhtml, but 
can be overridden to provide a custom presentation for a specific node.
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="initContent">initContent</a>
                                        <code>- object</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Sets up the node label
                                        </div>
                                    </div>
     
                                        


                                    <hr />


                            </div>
                        </div>

                        <div class="section field inheritance">
                            <h4>Properties inherited from <a href="YAHOO.widget.Node.html">YAHOO.widget.Node</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.widget.Node.html#_dynLoad">_dynLoad</a>,
                                        <a href="YAHOO.widget.Node.html#_type">_type</a>,
                                        <a href="YAHOO.widget.Node.html#children">children</a>,
                                        <a href="YAHOO.widget.Node.html#childrenRendered">childrenRendered</a>,
                                        <a href="YAHOO.widget.Node.html#data">data</a>,
                                        <a href="YAHOO.widget.Node.html#dataLoader">dataLoader</a>,
                                        <a href="YAHOO.widget.Node.html#depth">depth</a>,
                                        <a href="YAHOO.widget.Node.html#dynamicLoadComplete">dynamicLoadComplete</a>,
                                        <a href="YAHOO.widget.Node.html#expanded">expanded</a>,
                                        <a href="YAHOO.widget.Node.html#hasIcon">hasIcon</a>,
                                        <a href="YAHOO.widget.Node.html#href">href</a>,
                                        <a href="YAHOO.widget.Node.html#iconMode">iconMode</a>,
                                        <a href="YAHOO.widget.Node.html#index">index</a>,
                                        <a href="YAHOO.widget.Node.html#isLoading">isLoading</a>,
                                        <a href="YAHOO.widget.Node.html#multiExpand">multiExpand</a>,
                                        <a href="YAHOO.widget.Node.html#nextSibling">nextSibling</a>,
                                        <a href="YAHOO.widget.Node.html#nowrap">nowrap</a>,
                                        <a href="YAHOO.widget.Node.html#parent">parent</a>,
                                        <a href="YAHOO.widget.Node.html#previousSibling">previousSibling</a>,
                                        <a href="YAHOO.widget.Node.html#renderHidden">renderHidden</a>,
                                        <a href="YAHOO.widget.Node.html#target">target</a>,
                                        <a href="YAHOO.widget.Node.html#tree">tree</a>
                                </code>
                            </div>
                        </div>
                        <div class="section field inheritance">
                            <h4>Properties inherited from <a href="YAHOO.util.EventProvider.html">YAHOO.util.EventProvider</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.util.EventProvider.html#__yui_events">__yui_events</a>,
                                        <a href="YAHOO.util.EventProvider.html#__yui_subscribers">__yui_subscribers</a>
                                </code>
                            </div>
                        </div>

                        <div class="section method details">
                            <h3><a name="methodDetails">Methods</a></h3>
                            <div class="content">
                                    <h4>
                                        <a name="getContentEl">getContentEl</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        HTMLElement
                                            <strong>getContentEl</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Returns the outer html element for this node's content
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        HTMLElement
                                                    </code></dt>
                                                    <dd>the element</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                            </div>
                        </div>

                            <div class="section field inheritance">
                                <h4>Methods inherited from <a href="YAHOO.widget.Node.html">YAHOO.widget.Node</a>:</h4>
                                <div class="content">
                                    <code>
                                        
                                            <a href="YAHOO.widget.Node.html#appendChild">appendChild</a>,
                                            <a href="YAHOO.widget.Node.html#appendTo">appendTo</a>,
                                            <a href="YAHOO.widget.Node.html#applyParent">applyParent</a>,
                                            <a href="YAHOO.widget.Node.html#collapse
toggle style.">collapse
toggle style.</a>,
                                            <a href="YAHOO.widget.Node.html#collapseAll">collapseAll</a>,
                                            <a href="YAHOO.widget.Node.html#completeRender">completeRender</a>,
                                            <a href="YAHOO.widget.Node.html#expand">expand</a>,
                                            <a href="YAHOO.widget.Node.html#expandAll">expandAll</a>,
                                            <a href="YAHOO.widget.Node.html#getAncestor">getAncestor</a>,
                                            <a href="YAHOO.widget.Node.html#getChildrenEl">getChildrenEl</a>,
                                            <a href="YAHOO.widget.Node.html#getChildrenElId">getChildrenElId</a>,
                                            <a href="YAHOO.widget.Node.html#getChildrenHtml">getChildrenHtml</a>,
                                            <a href="YAHOO.widget.Node.html#getDepthStyle">getDepthStyle</a>,
                                            <a href="YAHOO.widget.Node.html#getEl">getEl</a>,
                                            <a href="YAHOO.widget.Node.html#getElId">getElId</a>,
                                            <a href="YAHOO.widget.Node.html#getHoverStyle">getHoverStyle</a>,
                                            <a href="YAHOO.widget.Node.html#getHtml">getHtml</a>,
                                            <a href="YAHOO.widget.Node.html#getIconMode">getIconMode</a>,
                                            <a href="YAHOO.widget.Node.html#getNodeHtml">getNodeHtml</a>,
                                            <a href="YAHOO.widget.Node.html#getSiblings">getSiblings</a>,
                                            <a href="YAHOO.widget.Node.html#getStyle">getStyle</a>,
                                            <a href="YAHOO.widget.Node.html#getToggleEl">getToggleEl</a>,
                                            <a href="YAHOO.widget.Node.html#getToggleElId">getToggleElId</a>,
                                            <a href="YAHOO.widget.Node.html#getToggleLink">getToggleLink</a>,
                                            <a href="YAHOO.widget.Node.html#hasChildren">hasChildren</a>,
                                            <a href="YAHOO.widget.Node.html#hideChildren">hideChildren</a>,
                                            <a href="YAHOO.widget.Node.html#init">init</a>,
                                            <a href="YAHOO.widget.Node.html#insertAfter">insertAfter</a>,
                                            <a href="YAHOO.widget.Node.html#insertBefore">insertBefore</a>,
                                            <a href="YAHOO.widget.Node.html#isChildOf">isChildOf</a>,
                                            <a href="YAHOO.widget.Node.html#isDynamic">isDynamic</a>,
                                            <a href="YAHOO.widget.Node.html#isRoot">isRoot</a>,
                                            <a href="YAHOO.widget.Node.html#loadComplete">loadComplete</a>,
                                            <a href="YAHOO.widget.Node.html#refresh">refresh</a>,
                                            <a href="YAHOO.widget.Node.html#renderChildren">renderChildren</a>,
                                            <a href="YAHOO.widget.Node.html#setDynamicLoad">setDynamicLoad</a>,
                                            <a href="YAHOO.widget.Node.html#showChildren">showChildren</a>,
                                            <a href="YAHOO.widget.Node.html#toggle">toggle</a>,
                                            <a href="YAHOO.widget.Node.html#toString">toString</a>
                                    </code>
                                </div>
                            </div>
                            <div class="section field inheritance">
                                <h4>Methods inherited from <a href="YAHOO.util.EventProvider.html">YAHOO.util.EventProvider</a>:</h4>
                                <div class="content">
                                    <code>
                                        
                                            <a href="YAHOO.util.EventProvider.html#createEvent">createEvent</a>,
                                            <a href="YAHOO.util.EventProvider.html#fireEvent">fireEvent</a>,
                                            <a href="YAHOO.util.EventProvider.html#hasEvent">hasEvent</a>,
                                            <a href="YAHOO.util.EventProvider.html#subscribe">subscribe</a>,
                                            <a href="YAHOO.util.EventProvider.html#unsubscribe">unsubscribe</a>,
                                            <a href="YAHOO.util.EventProvider.html#unsubscribeAll">unsubscribeAll</a>
                                    </code>
                                </div>
                            </div>



                        <div class="section field inheritance">
                            <h4>Events inherited from <a href="YAHOO.widget.Node.html">YAHOO.widget.Node</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.widget.Node.html#parentChange">parentChange</a>
                                </code>
                            </div>
                        </div>



			</div>
		</div>
		<div class="yui-b">
            <div class="nav">

                    <div class="module">
                        <h4>Modules</h4>
                        <ul class="content">

                                <li class=""><a href="module_animation.html">animation</a></li>

                                <li class=""><a href="module_autocomplete.html">autocomplete</a></li>

                                <li class=""><a href="module_button.html">button</a></li>

                                <li class=""><a href="module_calendar.html">calendar</a></li>

                                <li class=""><a href="module_connection.html">connection</a></li>

                                <li class=""><a href="module_container.html">container</a></li>

                                <li class=""><a href="module_datasource.html">datasource</a></li>

                                <li class=""><a href="module_datatable.html">datatable</a></li>

                                <li class=""><a href="module_dom.html">dom</a></li>

                                <li class=""><a href="module_dragdrop.html">dragdrop</a></li>

                                <li class=""><a href="module_element.html">element</a></li>

                                <li class=""><a href="module_event.html">event</a></li>

                                <li class=""><a href="module_history.html">history</a></li>

                                <li class=""><a href="module_logger.html">logger</a></li>

                                <li class=""><a href="module_menu.html">menu</a></li>

                                <li class=""><a href="module_slider.html">slider</a></li>

                                <li class=""><a href="module_tabview.html">tabview</a></li>

                                <li class="selected"><a href="module_treeview.html">treeview</a></li>

                                <li class=""><a href="module_yahoo.html">yahoo</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Classes</h4>
                        <ul class="content">
                                <li class="selected"><a href="YAHOO.widget.HTMLNode.html">YAHOO.widget.HTMLNode</a></li>
                                <li class=""><a href="YAHOO.widget.MenuNode.html">YAHOO.widget.MenuNode</a></li>
                                <li class=""><a href="YAHOO.widget.Node.html">YAHOO.widget.Node</a></li>
                                <li class=""><a href="YAHOO.widget.RootNode.html">YAHOO.widget.RootNode</a></li>
                                <li class=""><a href="YAHOO.widget.TextNode.html">YAHOO.widget.TextNode</a></li>
                                <li class=""><a href="YAHOO.widget.TreeView.html">YAHOO.widget.TreeView</a></li>
                                <li class=""><a href="YAHOO.widget.TVAnim.html">YAHOO.widget.TVAnim</a></li>
                                <li class=""><a href="YAHOO.widget.TVFadeIn.html">YAHOO.widget.TVFadeIn</a></li>
                                <li class=""><a href="YAHOO.widget.TVFadeOut.html">YAHOO.widget.TVFadeOut</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Files</h4>
                        <ul class="content">        
                                <li class=""><a href="HTMLNode.js.html">HTMLNode.js</a></li>
                                <li class=""><a href="MenuNode.js.html">MenuNode.js</a></li>
                                <li class=""><a href="Node.js.html">Node.js</a></li>
                                <li class=""><a href="RootNode.js.html">RootNode.js</a></li>
                                <li class=""><a href="TextNode.js.html">TextNode.js</a></li>
                                <li class=""><a href="TreeView.js.html">TreeView.js</a></li>
                                <li class=""><a href="TVAnim.js.html">TVAnim.js</a></li>
                                <li class=""><a href="TVFadeIn.js.html">TVFadeIn.js</a></li>
                                <li class=""><a href="TVFadeOut.js.html">TVFadeOut.js</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Properties</h4>
                        <ul class="content">        
                                <li><a href="#content">content</a>
                                        <!--<code>&lt;object&gt;</code>-->
                                </li>
                                <li><a href="#contentElId">contentElId</a>
                                        <!--<code>&lt;object&gt;</code>-->
                                </li>
                                <li><a href="#contentStyle">contentStyle</a>
                                        <!--<code>&lt;object&gt;</code>-->
                                </li>
                                <li><a href="#initContent">initContent</a>
                                        <!--<code>&lt;object&gt;</code>-->
                                </li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Methods</h4>
                        <ul class="content">        
                                <li><!--<code>HTMLElement</code>-->
                                <a href="#getContentEl">getContentEl</a>
                                </li>
                        </ul>
                    </div>



            </div>
		</div>
	</div>
	<div id="ft">
        <hr />
        Copyright &copy; 2007 Yahoo! Inc. All rights reserved.
	</div>
</div>
</body>
</html>
